Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ColorButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ColorButton. More...

`#include <xfc/gtk/colorbuttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::ColorButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_color_set ()
    Called when the user selects a color.

## Protected Member Functions

Constructors

- ColorButtonSignals (ColorButton *color_button)
    Construct a new ColorButtonSignals object.
- virtual ~ColorButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ColorButton.

## Constructor & Destructor Documentation

Xfc::Gtk::ColorButtonSignals::ColorButtonSignals | ( | ColorButton * | color_button | ) | `[protected]`

Construct a new ColorButtonSignals object.

Parameters:

  | color_button | A ColorButton object inheriting the ColorButtonSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::ColorButtonSignals::on_color_set | ( |  | ) | `[virtual]`

| Called when the user selects a color. When handling this signal, use get_color() and get_alpha() to find out which color was just selected.

The documentation for this class was generated from the following file:

- colorbuttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3